<html>
<head>
<title>OGRE: OgreTechnique.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreTechnique.h</h1><a href="OgreTechnique_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Technique_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Technique_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreBlendMode_8h.html">OgreBlendMode.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgrePass_8h.html">OgrePass.h</a>"</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00045"></a><a class="code" href="classOgre_1_1Technique.html">00045</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>
<a name="l00046"></a>00046     {
<a name="l00047"></a>00047     <span class="keyword">protected</span>:
<a name="l00048"></a>00048         <span class="comment">// illumination pass state type</span>
<a name="l00049"></a><a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d23">00049</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d23">IlluminationPassesState</a>
<a name="l00050"></a>00050         {
<a name="l00051"></a><a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d2375b214ee6385d48d7ac8ffe63956ef9d">00051</a>             IPS_COMPILE_DISABLED = -1,
<a name="l00052"></a><a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d236d7b35400e16649614a7b7d2ff935c93">00052</a>             IPS_NOT_COMPILED = 0,
<a name="l00053"></a><a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d23bbba3e91e244942ff28459e90885ede7">00053</a>             IPS_COMPILED = 1
<a name="l00054"></a>00054         };
<a name="l00055"></a>00055 
<a name="l00056"></a><a class="code" href="classOgre_1_1Technique.html#b6823bce807c243c04e544ee99eea1d1">00056</a>         <span class="keyword">typedef</span> std::vector&lt;Pass*&gt; Passes;
<a name="l00058"></a><a class="code" href="classOgre_1_1Technique.html#45f4c97bd9168c67c4e7d5e68b2d0deb">00058</a>         Passes mPasses;
<a name="l00060"></a><a class="code" href="classOgre_1_1Technique.html#6221e827be4159d329ae7909a542b10b">00060</a>         <a class="code" href="namespaceOgre.html#ff4cf78f2520e56a8c45721e2dc419c9">IlluminationPassList</a> mIlluminationPasses;
<a name="l00061"></a><a class="code" href="classOgre_1_1Technique.html#19396048e38ac2ee8c49a1beeec22a1a">00061</a>         <a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* mParent; <span class="comment">// raw pointer since we don't want child to stop parent's destruction</span>
<a name="l00062"></a><a class="code" href="classOgre_1_1Technique.html#b0140f0bcb0875742de251050440d546">00062</a>         <span class="keywordtype">bool</span> mIsSupported;
<a name="l00063"></a><a class="code" href="classOgre_1_1Technique.html#20375ceabd360a6b536a626da5033158">00063</a>         <a class="code" href="classOgre_1_1Technique.html#8dee9e7ef067309148721ed733264d23">IlluminationPassesState</a> mIlluminationPassesCompilationPhase;
<a name="l00065"></a><a class="code" href="classOgre_1_1Technique.html#640ffe897c7889af3e6c6c9d322afcf7">00065</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> mLodIndex;
<a name="l00069"></a><a class="code" href="classOgre_1_1Technique.html#0660deaa1aec81d2b440ab175d63514a">00069</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> mSchemeIndex;
<a name="l00070"></a><a class="code" href="classOgre_1_1Technique.html#386fbbee39283e296f9fb8bb3f4383f6">00070</a>         <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mName; <span class="comment">// optional name for the technique</span>
<a name="l00071"></a>00071 
<a name="l00073"></a>00073         <span class="keywordtype">void</span> clearIlluminationPasses(<span class="keywordtype">void</span>);
<a name="l00074"></a>00074     <span class="keyword">public</span>:
<a name="l00076"></a>00076         <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>(<a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* parent);
<a name="l00078"></a>00078         <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>(<a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* parent, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>&amp; oth);
<a name="l00079"></a>00079         ~<a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>();
<a name="l00085"></a>00085         <span class="keywordtype">bool</span> isSupported(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00089"></a>00089         <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> _compile(<span class="keywordtype">bool</span> autoManageTextureUnits);
<a name="l00091"></a>00091         <span class="keywordtype">void</span> _compileIlluminationPasses(<span class="keywordtype">void</span>);
<a name="l00092"></a>00092 
<a name="l00093"></a>00093 
<a name="l00104"></a>00104         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>* createPass(<span class="keywordtype">void</span>);
<a name="l00106"></a>00106         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>* getPass(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00110"></a>00110         <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a>* getPass(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00112"></a>00112         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getNumPasses(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00114"></a>00114         <span class="keywordtype">void</span> removePass(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00116"></a>00116         <span class="keywordtype">void</span> removeAllPasses(<span class="keywordtype">void</span>);
<a name="l00120"></a>00120         <span class="keywordtype">bool</span> movePass(<span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> sourceIndex, <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> destinationIndex);
<a name="l00121"></a><a class="code" href="classOgre_1_1Technique.html#3b4640d3383f331657fd9ee05cb835c2">00121</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">VectorIterator&lt;Passes&gt;</a> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">PassIterator</a>;
<a name="l00123"></a>00123         <span class="keyword">const</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">PassIterator</a> getPassIterator(<span class="keywordtype">void</span>);
<a name="l00124"></a><a class="code" href="classOgre_1_1Technique.html#77a239a5901d2c67add2e7cea0bf3468">00124</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">VectorIterator&lt;IlluminationPassList&gt;</a> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">IlluminationPassIterator</a>;
<a name="l00126"></a>00126         <span class="keyword">const</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">IlluminationPassIterator</a> getIlluminationPassIterator(<span class="keywordtype">void</span>);
<a name="l00128"></a><a class="code" href="classOgre_1_1Technique.html#603fb40984083fbdfa1bf570cc602563">00128</a>         <a class="code" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>* getParent(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mParent; }
<a name="l00129"></a>00129 
<a name="l00131"></a>00131         <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>&amp; operator=(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>&amp; rhs);
<a name="l00132"></a>00132 
<a name="l00134"></a>00134         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getResourceGroup(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00135"></a>00135 
<a name="l00144"></a>00144         <span class="keywordtype">bool</span> isTransparent(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00145"></a>00145 
<a name="l00147"></a>00147         <span class="keywordtype">void</span> _load(<span class="keywordtype">void</span>);
<a name="l00149"></a>00149         <span class="keywordtype">void</span> _unload(<span class="keywordtype">void</span>);
<a name="l00150"></a>00150 
<a name="l00151"></a>00151         <span class="comment">// Is this loaded?</span>
<a name="l00152"></a>00152         <span class="keywordtype">bool</span> isLoaded(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00153"></a>00153 
<a name="l00155"></a>00155         <span class="keywordtype">void</span> _notifyNeedsRecompile(<span class="keywordtype">void</span>);
<a name="l00156"></a>00156 
<a name="l00157"></a>00157 
<a name="l00158"></a>00158         <span class="comment">// -------------------------------------------------------------------------------</span>
<a name="l00159"></a>00159         <span class="comment">// The following methods are to make migration from previous versions simpler</span>
<a name="l00160"></a>00160         <span class="comment">// and to make code easier to write when dealing with simple materials</span>
<a name="l00161"></a>00161         <span class="comment">// They set the properties which have been moved to Pass for all Techniques and all Passes</span>
<a name="l00162"></a>00162 
<a name="l00171"></a>00171         <span class="keywordtype">void</span> setPointSize(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> ps);
<a name="l00172"></a>00172 
<a name="l00181"></a>00181         <span class="keywordtype">void</span> setAmbient(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> red, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> green, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> blue);
<a name="l00182"></a>00182 
<a name="l00191"></a>00191         <span class="keywordtype">void</span> setAmbient(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; ambient);
<a name="l00192"></a>00192 
<a name="l00201"></a>00201         <span class="keywordtype">void</span> setDiffuse(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> red, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> green, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> blue, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> alpha);
<a name="l00202"></a>00202 
<a name="l00211"></a>00211         <span class="keywordtype">void</span> setDiffuse(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; diffuse);
<a name="l00212"></a>00212 
<a name="l00221"></a>00221         <span class="keywordtype">void</span> setSpecular(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> red, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> green, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> blue, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> alpha);
<a name="l00222"></a>00222 
<a name="l00231"></a>00231         <span class="keywordtype">void</span> setSpecular(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; specular);
<a name="l00232"></a>00232 
<a name="l00241"></a>00241         <span class="keywordtype">void</span> setShininess(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> val);
<a name="l00242"></a>00242 
<a name="l00251"></a>00251         <span class="keywordtype">void</span> setSelfIllumination(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> red, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> green, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> blue);
<a name="l00252"></a>00252 
<a name="l00261"></a>00261         <span class="keywordtype">void</span> setSelfIllumination(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; selfIllum);
<a name="l00262"></a>00262 
<a name="l00271"></a>00271         <span class="keywordtype">void</span> setDepthCheckEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00272"></a>00272 
<a name="l00281"></a>00281         <span class="keywordtype">void</span> setDepthWriteEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00282"></a>00282 
<a name="l00291"></a>00291         <span class="keywordtype">void</span> setDepthFunction( <a class="code" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a" title="Comparison functions used for the depth/stencil buffer operations and others.">CompareFunction</a> func );
<a name="l00292"></a>00292 
<a name="l00301"></a>00301         <span class="keywordtype">void</span> setColourWriteEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00302"></a>00302 
<a name="l00311"></a>00311         <span class="keywordtype">void</span> setCullingMode( <a class="code" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb" title="Hardware culling modes based on vertex winding.">CullingMode</a> mode );
<a name="l00312"></a>00312 
<a name="l00321"></a>00321         <span class="keywordtype">void</span> setManualCullingMode( <a class="code" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fc" title="Manual culling modes based on vertex normals.">ManualCullingMode</a> mode );
<a name="l00322"></a>00322 
<a name="l00331"></a>00331         <span class="keywordtype">void</span> setLightingEnabled(<span class="keywordtype">bool</span> enabled);
<a name="l00332"></a>00332 
<a name="l00341"></a>00341         <span class="keywordtype">void</span> setShadingMode( <a class="code" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560" title="Light shading modes.">ShadeOptions</a> mode );
<a name="l00342"></a>00342 
<a name="l00351"></a>00351         <span class="keywordtype">void</span> setFog(
<a name="l00352"></a>00352             <span class="keywordtype">bool</span> overrideScene,
<a name="l00353"></a>00353             <a class="code" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020ba" title="Fog modes.">FogMode</a> mode = <a class="code" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020bab7793a21880052c0214d4cc040992310" title="No fog. Duh.">FOG_NONE</a>,
<a name="l00354"></a>00354             <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour = <a class="code" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>,
<a name="l00355"></a>00355             <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> expDensity = 0.001, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearStart = 0.0, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearEnd = 1.0 );
<a name="l00356"></a>00356 
<a name="l00365"></a>00365         <span class="keywordtype">void</span> setDepthBias(<span class="keywordtype">float</span> constantBias, <span class="keywordtype">float</span> slopeScaleBias);
<a name="l00366"></a>00366 
<a name="l00375"></a>00375         <span class="keywordtype">void</span> setTextureFiltering(<a class="code" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5" title="High-level filtering options providing shortcuts to settings the minification, magnification...">TextureFilterOptions</a> filterType);
<a name="l00384"></a>00384         <span class="keywordtype">void</span> setTextureAnisotropy(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxAniso);
<a name="l00385"></a>00385 
<a name="l00394"></a>00394         <span class="keywordtype">void</span> setSceneBlending( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a" title="Types of blending that you can specify between an object and the existing contents...">SceneBlendType</a> sbt );
<a name="l00395"></a>00395 
<a name="l00404"></a>00404         <span class="keywordtype">void</span> setSceneBlending( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> sourceFactor, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213" title="Blending factors for manually blending objects with the scene.">SceneBlendFactor</a> destFactor);
<a name="l00405"></a>00405 
<a name="l00422"></a>00422         <span class="keywordtype">void</span> setLodIndex(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00424"></a><a class="code" href="classOgre_1_1Technique.html#f70e2e5fec4b833152ec435b4d105be7">00424</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getLodIndex(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLodIndex; }
<a name="l00425"></a>00425 
<a name="l00443"></a>00443         <span class="keywordtype">void</span> setSchemeName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; schemeName);
<a name="l00447"></a>00447         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getSchemeName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00448"></a>00448         
<a name="l00450"></a>00450         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> _getSchemeIndex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00451"></a>00451             
<a name="l00453"></a>00453         <span class="keywordtype">bool</span> isDepthWriteEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00454"></a>00454 
<a name="l00456"></a>00456         <span class="keywordtype">bool</span> isDepthCheckEnabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00457"></a>00457 
<a name="l00459"></a>00459         <span class="keywordtype">bool</span> hasColourWriteDisabled(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00460"></a>00460 
<a name="l00466"></a>00466         <span class="keywordtype">void</span> setName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00468"></a><a class="code" href="classOgre_1_1Technique.html#f577087e6a66bd0a29a58d042b3a6d16">00468</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getName(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mName; }
<a name="l00469"></a>00469 
<a name="l00481"></a>00481         <span class="keywordtype">bool</span> applyTextureAliases(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b" title="Alias / Texture name pair (first = alias, second = texture name).">AliasTextureNamePairList</a>&amp; aliasList, <span class="keyword">const</span> <span class="keywordtype">bool</span> apply = <span class="keyword">true</span>) <span class="keyword">const</span>;
<a name="l00482"></a>00482 
<a name="l00483"></a>00483 
<a name="l00484"></a>00484     };
<a name="l00485"></a>00485 
<a name="l00486"></a>00486 
<a name="l00487"></a>00487 }
<a name="l00488"></a>00488 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
